boost::geometry::strategy::within::box_in_box< Box1, Box2, SubStrategy > Struct Template Reference

List of all members.

## Static Public Member Functions

static bool | apply (Box1 const &box1, Box2 const &box2)

### template<typename Box1, typename Box2, template< typename, std::size_t, typename > class SubStrategy = box_within_range>
struct boost::geometry::strategy::within::box_in_box< Box1, Box2, SubStrategy >

## Member Function Documentation

template<typename Box1 , typename Box2 , template< typename, std::size_t, typename > class SubStrategy = box_within_range>

static bool boost::geometry::strategy::within::box_in_box< Box1, Box2, SubStrategy >::apply | ( | Box1 const & | box1,
|  | Box2 const & | box2
| ) |  | `[static]`

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK